Bug 1348620 - glibc: malloc may fall back to calling mmap prematurely if arenas are contended
Summary: glibc: malloc may fall back to calling mmap prematurely if arenas are contended
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1255822
TreeView+ depends on / blocked
 
Reported: 2016-06-21 15:18 UTC by Florian Weimer
Modified: 2017-10-11 12:13 UTC (History)
14 users (show)

Fixed In Version: glibc-2.22-18.fc23, glibc-2.23.1-10.fc24, glibc-2.23.90-24.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1255822
Environment:
Last Closed: 2017-10-11 12:13:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 20284 None None None 2016-06-21 15:18:31 UTC
Red Hat Bugzilla 1246713 None None None Never

Internal Links: 1246713

Description Florian Weimer 2016-06-21 15:18:31 UTC
+++ This bug was initially created as a clone of Bug #1255822 +++

Description of problem:
Due to the robust malloc changes, malloc functions may end up calling mmap prematurely if all arenas are contended but not corrupt.  This is not a serious issue in the general case and its performance impact is also questionable because it is not clear if the contention is more expensive in terms of time than a system call.  It is however expensive resource-wise if the block requests are significantly smaller than page size because that will create a lot of external holes.

See also: bug 1246713 for rhel-6, where this problem is one of two problems that the bug report mentioned.

Comment 1 Jan Kurik 2016-07-26 04:09:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora Update System 2016-08-18 15:16:46 UTC
glibc-2.23.1-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f050a0a6d

Comment 3 Fedora Update System 2016-08-18 17:32:58 UTC
glibc-2.22-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87dde780b8

Comment 4 Fedora Update System 2016-08-19 00:21:59 UTC
glibc-2.22-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87dde780b8

Comment 5 Fedora Update System 2016-08-19 00:58:27 UTC
glibc-2.23.1-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f050a0a6d

Comment 6 Fedora Update System 2016-08-19 19:52:27 UTC
glibc-2.23.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-09-02 23:20:53 UTC
glibc-2.22-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora End Of Life 2017-02-28 09:59:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.